diff --git a/creator/livecd-creator b/creator/livecd-creator
index 4b24d47..2f8986e 100755
--- a/creator/livecd-creator
+++ b/creator/livecd-creator
@@ -32,6 +32,7 @@ import shutil
 import optparse

 import yum
+import rpm
 import rpmUtils.arch
 import pykickstart
 import pykickstart.parser
@@ -386,6 +387,9 @@ class ImageCreator(object):
                os.path.exists("/selinux/enforce"):
             raise InstallationError("SELinux requested but not enabled on host system")

+        if self.ksparser.handler.packages.excludedocs:
+            rpm.addMacro("_excludedocs","1")
+
     def base_on_iso(self, base_on):
         """helper function to extract ext3 file system from a live CD ISO"""